pi-vote - Bug / Feature #4968

ArchLinux PKGBUILD update
31 March 2013 17:22 - shugyousha

Status: Needs Work Start date: 31 March 2013
Priority: Normal Due date: 01 May 2013
Assignee: danilo % Done: 0%

Category: Estimated time: 0.00 hour
Target version: PiVote 1.4.0.0

Request Type: Bug Report Affected Users:

Affected Program:

Description

Mit der alten Version des PKGBUILDs wurden die Sources nicht gefunden (wurden wahrscheinlich woanders hinkopiert). Als
Ubergangslésung habe ich einfach die PiVote Version 1.3.2 als Source angegeben, was geklappt hat nachdem ich die

* ttf-Font-Dateien ebenfalls mitkopiert habe (das Speichern des Zertifikats als PDF hat sonst nicht funktioniert). Ich habe meine
Version des PKBUILDs angehangt.

Wabhrscheinlich wére es aber wirklich besser, wenn man die neueste Version der Binaries jeweils automatisiert irgendwohin kopiert
und das PKGBUILD darauf zeigen lasst.

Related issues:
Blocked by pi-vote - Bug / Feature #1255: Mirror fir PiVote-Pakete Needs Work 20 July 2011 23 April 2013

History

#1 - 31 March 2013 17:30 - admin
- Due date set to 30 April 2013

Automatically enforce due date for Normal Priority to 30 days in the future

#2 - 01 April 2013 00:15 - danilo

Leider blockiert durch #1255, die "neue" download-URL gibt einen HTTP 500. Zudem werden bei jedem Update der Pakete die PKGBUILDs
kaputtgehen solange es kein Archiv mit Versionszahlen in der URL gibt.

Bei der beigefiigten Version des PKGBUILDs gibts zudem ein Problem mit der Authentisierung, bei Nutzung von CURL wird man auf
my.piratenpartei.ch umgeleitet, wie in #1255 beschrieben. Deshalb werde ich das so momentan nicht hochladen.

Drittens, gibt es von der Version 1.4 kein oder noch kein generisches Linux-Paket als zip oder tar?

#3 - 01 April 2013 00:25 - danilo
- Due date changed from 30 April 2013 to 01 May 2013

- Target version set to PiVote 1.4.0.0

Comment #2 updated.

#4 - 04 April 2013 00:30 - admin

- Status changed from New to Needs Work

Automatically changed from new state after 3 days

#5 - 11 June 2013 23:03 - danilo

Das File http://stan.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip ist leider nicht "latest".

Die Download-Version von Redmine ist nicht mit curl downloadbar.

Kénnte man nicht endlich mal ein anstéandiges Deploy-Script mit einem kleinen scp-Befehl drin machen, damit man einen ansténdigen Mirror hat?

#6 - 11 June 2013 23:39 - danilo
https://projects.piratenpartei.ch/issues/1255
https://projects.piratenpartei.ch/issues/1255
http://stan.piratenpartei.ch/download/PiVote_Client_Linux_x86_latest.zip

Bis es einen offiziellen Mirror git: http:/pivote.dbrgn.ch/ (aber die kdnnten natirlich von mir manipuliert sein)

https://aur.archlinux.org/packages/pivote-bin/

Files
